## ipv6toolkit 1.4

=== debian/changelog ===
ipv6toolkit (1.4-1) unstable; urgency=low

  * Initial release (Closes: #681917)

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sat, 24 Aug 2013 18:37:54 -0700

=== debian/watch ===
version=3
http://www.si6networks.com/tools/ipv6toolkit/ipv6-?toolkit-v([0-9.]+).tar.gz

## ipv6toolkit 1.5.1

=== Makefile ===
#
# SI6 Networks' IPv6 toolkit Makefile
#
# Notes to package developers:
#
# By default, binaries will be installed in /usr/local/bin, manual pages in
# /usr/local/man, data files in /usr/local/share/ipv6toolkit, and configuration
# files in /etc
#
# The path of the binaries and data files can be overriden by setting "PREFIX"
# variable accordingly. The path of the manual pages can be overriden by setting
# the MANPREFIX variable. Typically, packages will set these variables as follows:
#
# PREFIX=/usr
# MANPREFIX=/usr/share
#
# Finally, please note that this makefile supports the DESTDIR variable, as 
# typically employed by package developers.


CC= gcc
CFLAGS+= -Wall
LDFLAGS+= -lpcap -lm

.ifndef(PREFIX)
PREFIX=/usr/local
.ifndef(MANPREFIX)
MANPREFIX=/usr/local
.endif
.else
.ifndef(MANPREFIX)
MANPREFIX=/usr/share
.endif
.endif 

ETCPATH= $(DESTDIR)/etc
MANPATH= $(DESTDIR)$(MANPREFIX)/man
DATAPATH= $(DESTDIR)$(PREFIX)/share/ipv6toolkit
BINPATH= $(DESTDIR)$(PREFIX)/bin
SBINPATH= $(DESTDIR)$(PREFIX)/sbin
SRCPATH= tools


SBINTOOLS= flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 ra6 rd6 rs6 scan6 tcp6
BINTOOLS= addr6
TOOLS= $(BINTOOLS) $(SBINTOOLS)
LIBS= libipv6.o

all: $(TOOLS) ipv6toolkit.conf

addr6: $(SRCPATH)/addr6.c $(SRCPATH)/addr6.h $(SRCPATH)/ipv6toolkit.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o addr6 $(SRCPATH)/addr6.c $(LDFLAGS) 

flow6: $(SRCPATH)/flow6.c $(SRCPATH)/flow6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o flow6 $(SRCPATH)/flow6.c $(LIBS) $(LDFLAGS) 

frag6: $(SRCPATH)/frag6.c $(SRCPATH)/frag6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o frag6 $(SRCPATH)/frag6.c $(LIBS) $(LDFLAGS)  

icmp6: $(SRCPATH)/icmp6.c $(SRCPATH)/icmp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o icmp6 $(SRCPATH)/icmp6.c $(LIBS) $(LDFLAGS)

jumbo6: $(SRCPATH)/jumbo6.c $(SRCPATH)/jumbo6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o jumbo6 $(SRCPATH)/jumbo6.c $(LIBS) $(LDFLAGS)

na6: $(SRCPATH)/na6.c $(SRCPATH)/na6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o na6 $(SRCPATH)/na6.c $(LIBS) $(LDFLAGS)

ni6: $(SRCPATH)/ni6.c $(SRCPATH)/ni6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o ni6 $(SRCPATH)/ni6.c $(LIBS) $(LDFLAGS)

ns6: $(SRCPATH)/ns6.c $(SRCPATH)/ns6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o ns6 $(SRCPATH)/ns6.c $(LIBS) $(LDFLAGS)

ra6: $(SRCPATH)/ra6.c $(SRCPATH)/ra6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o ra6 $(SRCPATH)/ra6.c $(LIBS) $(LDFLAGS)

rd6: $(SRCPATH)/rd6.c $(SRCPATH)/rd6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o rd6 $(SRCPATH)/rd6.c $(LIBS) $(LDFLAGS)

rs6: $(SRCPATH)/rs6.c $(SRCPATH)/rs6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o rs6 $(SRCPATH)/rs6.c $(LIBS) $(LDFLAGS)

scan6: $(SRCPATH)/scan6.c $(SRCPATH)/scan6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o scan6 $(SRCPATH)/scan6.c $(LIBS) $(LDFLAGS)

tcp6: $(SRCPATH)/tcp6.c $(SRCPATH)/tcp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o tcp6 $(SRCPATH)/tcp6.c $(LIBS) $(LDFLAGS)

libipv6.o: $(SRCPATH)/libipv6.c $(SRCPATH)/libipv6.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o libipv6.o $(SRCPATH)/libipv6.c

ipv6toolkit.conf:
	echo "# SI6 Networks' IPv6 Toolkit Configuration File" > \
           data/ipv6toolkit.conf
	echo OUI-Database=$(PREFIX)/share/ipv6toolkit/oui.txt >> \
           data/ipv6toolkit.conf 

clean: 
	rm -f $(TOOLS) $(LIBS)
	rm -f data/ipv6toolkit.conf

install: all
	# Install the binaries
	install -m0755 -d $(BINPATH)
	install -m0755 -d $(SBINPATH)
	install -m0755 $(BINTOOLS) $(BINPATH)
	install -m0755 $(SBINTOOLS) $(SBINPATH)

	# Install the configuration file
	install -m0644 data/ipv6toolkit.conf $(ETCPATH)

	# Install the IEEE OUI database
	install -m0755 -d $(DATAPATH)
	install -m0644 data/oui.txt $(DATAPATH)

	# Install the manual pages
	install -m0755 -d $(MANPATH)/man1
	install -m0644 manuals/*.1 $(MANPATH)/man1
	install -m0755 -d $(MANPATH)/man5
	install -m0644 manuals/*.5 $(MANPATH)/man5
	install -m0755 -d $(MANPATH)/man7
	install -m0644 manuals/*.7 $(MANPATH)/man7

uninstall:
	# Remove the binaries
	rm -f $(BINPATH)/addr6
	rm -f $(SBINPATH)/flow6
	rm -f $(SBINPATH)/frag6
	rm -f $(SBINPATH)/icmp6
	rm -f $(SBINPATH)/jumbo6
	rm -f $(SBINPATH)/na6
	rm -f $(SBINPATH)/ni6
	rm -f $(SBINPATH)/ns6
	rm -f $(SBINPATH)/ra6
	rm -f $(SBINPATH)/rd6
	rm -f $(SBINPATH)/rs6
	rm -f $(SBINPATH)/scan6
	rm -f $(SBINPATH)/tcp6

	# Remove the configuration file
	rm -f $(ETCPATH)/ipv6toolkit.conf

	# Remove the IEEE OUI database
	rm -rf $(DATAPATH)

	# Remove the manual pages
	rm -f $(MANPATH)/man1/addr6.1
	rm -f $(MANPATH)/man1/flow6.1
	rm -f $(MANPATH)/man1/frag6.1
	rm -f $(MANPATH)/man1/icmp6.1
	rm -f $(MANPATH)/man1/jumbo6.1
	rm -f $(MANPATH)/man1/na6.1
	rm -f $(MANPATH)/man1/ni6.1
	rm -f $(MANPATH)/man1/ns6.1
	rm -f $(MANPATH)/man1/ra6.1
	rm -f $(MANPATH)/man1/rd6.1
	rm -f $(MANPATH)/man1/rs6.1
	rm -f $(MANPATH)/man1/scan6.1
	rm -f $(MANPATH)/man1/tcp6.1
	rm -f $(MANPATH)/man5/ipv6toolkit.conf.5
	rm -f $(MANPATH)/man7/ipv6toolkit.7

=== debian/changelog ===
ipv6toolkit (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Upstream fixed manpages to fix license-problem-gfdl-invariants.
  * Removed all patches. All were committed upstream.
  * Overrode a manpage error in scan6.1 because of a long URL.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sun, 01 Dec 2013 22:55:58 -0800

=== debian/control ===
Source: ipv6toolkit
Section: net
Priority: extra
Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
Build-Depends: debhelper (>= 8.0.0), libpcap-dev
Standards-Version: 3.9.4
Homepage: http://www.si6networks.com/tools/ipv6toolkit/

Package: ipv6toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Security assessment and troubleshooting tool for the IPv6 protocols
 The SI6 Networks' IPv6 toolkit is a set of IPv6 security and
 trouble-shooting tools, that can send arbitrary IPv6-based
 packets.
 .
 List of tools:
  * address6: An IPv6 address analysis and manipulation tool.
  * flow6: A tool to perform a security asseessment of the IPv6 Flow
    Label.
  * frag6: A tool to perform IPv6 fragmentation-based attacks and to
    perform a security assessment of a number of fragmentation-related
    aspects.
  * icmp6: A tool to perform attacks based on ICMPv6 error messages.
  * jumbo6: A tool to assess potential flaws in the handling of IPv6
    Jumbograms.
  * na6: A tool to send arbitrary Neighbor Advertisement messages.
  * ni6: A tool to send arbitrary ICMPv6 Node Information messages,
     and assess possible flaws in the processing of such packets.
  * ns6: A tool to send arbitrary Neighbor Solicitation messages.
  * ra6: A tool to send arbitrary Router Advertisement messages.
  * rd6: A tool to send arbitrary ICMPv6 Redirect messages.
  * rs6: A tool to send arbitrary Router Solicitation messages.
  * scan6: An IPv6 address scanning tool.
  * tcp6: A tool to send arbitrary TCP segments and perform a variety
    of TCP-based attacks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

.PHONY : all
all:
	false

%:
	dh $@ 

# The --exclude=LICENSE.TXT is needed to stop lintian from throwing
# a warning about duplicate license files.
override_dh_installdocs:
	dh_installdocs --exclude=LICENSE.TXT

## ipv6toolkit 1.5.2

=== debian/changelog ===
ipv6toolkit (1.5.2-1) unstable; urgency=low

  * Added debian/gbp.conf
  * Merged new upstream release: 1.5.2
    * Fixes GNU/kFreeBSD compilation
  * Updated Standards-Version to 3.9.5; no changes required
  * Added Vcs-* control headers
  * Upstream renamed address6 to addr6; update here

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sun, 09 Feb 2014 10:11:30 -0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
 Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
+Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
+Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian
 
 Package: ipv6toolkit
 Architecture: any
@@ -15,7 +17,7 @@
  packets.
  .
  List of tools:
-  * address6: An IPv6 address analysis and manipulation tool.
+  * addr6: An IPv6 address analysis and manipulation tool.
   * flow6: A tool to perform a security asseessment of the IPv6 Flow
     Label.
   * frag6: A tool to perform IPv6 fragmentation-based attacks and to

=== debian/watch ===
version=3
https://github.com/fgont/ipv6toolkit/releases .*/ipv6toolkit-v?(\d\S*)\.tar\.gz

## ipv6toolkit 2.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # typically employed by package developers.
 
 
-CC= gcc
+CC?=gcc
 CFLAGS+= -Wall
 LDFLAGS+= -lpcap -lm
 
@@ -41,15 +41,18 @@
 SRCPATH= tools
 
 
-SBINTOOLS= flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 ra6 rd6 rs6 scan6 tcp6
+SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
 BINTOOLS= addr6
 TOOLS= $(BINTOOLS) $(SBINTOOLS)
 LIBS= libipv6.o
 
-all: $(TOOLS) ipv6toolkit.conf
+all: $(TOOLS) data/ipv6toolkit.conf
 
-addr6: $(SRCPATH)/addr6.c $(SRCPATH)/addr6.h $(SRCPATH)/ipv6toolkit.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) -o addr6 $(SRCPATH)/addr6.c $(LDFLAGS) 
+addr6: $(SRCPATH)/addr6.c $(SRCPATH)/addr6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o addr6 $(SRCPATH)/addr6.c $(LIBS) $(LDFLAGS) 
+
+blackhole6: $(SRCPATH)/blackhole6
+	cp $(SRCPATH)/blackhole6 ./
 
 flow6: $(SRCPATH)/flow6.c $(SRCPATH)/flow6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o flow6 $(SRCPATH)/flow6.c $(LIBS) $(LDFLAGS) 
@@ -72,6 +75,9 @@
 ns6: $(SRCPATH)/ns6.c $(SRCPATH)/ns6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o ns6 $(SRCPATH)/ns6.c $(LIBS) $(LDFLAGS)
 
+path6: $(SRCPATH)/path6.c $(SRCPATH)/path6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o path6 $(SRCPATH)/path6.c $(LIBS) $(LDFLAGS)
+
 ra6: $(SRCPATH)/ra6.c $(SRCPATH)/ra6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o ra6 $(SRCPATH)/ra6.c $(LIBS) $(LDFLAGS)
 
@@ -84,16 +90,24 @@
 scan6: $(SRCPATH)/scan6.c $(SRCPATH)/scan6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o scan6 $(SRCPATH)/scan6.c $(LIBS) $(LDFLAGS)
 
+script6: $(SRCPATH)/script6
+	cp $(SRCPATH)/script6 ./
+
 tcp6: $(SRCPATH)/tcp6.c $(SRCPATH)/tcp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o tcp6 $(SRCPATH)/tcp6.c $(LIBS) $(LDFLAGS)
+
+udp6: $(SRCPATH)/udp6.c $(SRCPATH)/udp6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o udp6 $(SRCPATH)/udp6.c $(LIBS) $(LDFLAGS)
 
 libipv6.o: $(SRCPATH)/libipv6.c $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o libipv6.o $(SRCPATH)/libipv6.c
 
-ipv6toolkit.conf:
+data/ipv6toolkit.conf:
 	echo "# SI6 Networks' IPv6 Toolkit Configuration File" > \
            data/ipv6toolkit.conf
 	echo OUI-Database=$(PREFIX)/share/ipv6toolkit/oui.txt >> \
+           data/ipv6toolkit.conf 
+	echo Ports-Database=$(PREFIX)/share/ipv6toolkit/service-names-port-numbers.csv >> \
            data/ipv6toolkit.conf 
 
 clean: 
@@ -108,11 +122,15 @@
 	install -m0755 $(SBINTOOLS) $(SBINPATH)
 
 	# Install the configuration file
+	install -m0755 -d $(ETCPATH)
 	install -m0644 data/ipv6toolkit.conf $(ETCPATH)
 
 	# Install the IEEE OUI database
 	install -m0755 -d $(DATAPATH)
 	install -m0644 data/oui.txt $(DATAPATH)
+
+	# Install the port numbers database
+	install -m0644 data/service-names-port-numbers.csv $(DATAPATH)
 
 	# Install the manual pages
 	install -m0755 -d $(MANPATH)/man1
@@ -125,6 +143,7 @@
 uninstall:
 	# Remove the binaries
 	rm -f $(BINPATH)/addr6
+	rm -f $(SBINPATH)/blackhole6
 	rm -f $(SBINPATH)/flow6
 	rm -f $(SBINPATH)/frag6
 	rm -f $(SBINPATH)/icmp6
@@ -132,11 +151,14 @@
 	rm -f $(SBINPATH)/na6
 	rm -f $(SBINPATH)/ni6
 	rm -f $(SBINPATH)/ns6
+	rm -f $(SBINPATH)/path6
 	rm -f $(SBINPATH)/ra6
 	rm -f $(SBINPATH)/rd6
 	rm -f $(SBINPATH)/rs6
 	rm -f $(SBINPATH)/scan6
+	rm -f $(SBINPATH)/script6
 	rm -f $(SBINPATH)/tcp6
+	rm -f $(SBINPATH)/udp6
 
 	# Remove the configuration file
 	rm -f $(ETCPATH)/ipv6toolkit.conf
@@ -146,6 +168,7 @@
 
 	# Remove the manual pages
 	rm -f $(MANPATH)/man1/addr6.1
+	rm -f $(MANPATH)/man1/blackhole.1
 	rm -f $(MANPATH)/man1/flow6.1
 	rm -f $(MANPATH)/man1/frag6.1
 	rm -f $(MANPATH)/man1/icmp6.1
@@ -153,11 +176,14 @@
 	rm -f $(MANPATH)/man1/na6.1
 	rm -f $(MANPATH)/man1/ni6.1
 	rm -f $(MANPATH)/man1/ns6.1
+	rm -f $(MANPATH)/man1/path6.1
 	rm -f $(MANPATH)/man1/ra6.1
 	rm -f $(MANPATH)/man1/rd6.1
 	rm -f $(MANPATH)/man1/rs6.1
 	rm -f $(MANPATH)/man1/scan6.1
+	rm -f $(MANPATH)/man1/script6.1
 	rm -f $(MANPATH)/man1/tcp6.1
+	rm -f $(MANPATH)/man1/udp6.1
 	rm -f $(MANPATH)/man5/ipv6toolkit.conf.5
 	rm -f $(MANPATH)/man7/ipv6toolkit.7

=== debian/changelog ===
ipv6toolkit (2.0-1) unstable; urgency=medium

  * New upstream release
  * Moving back to unstable after Jessie's release
  * Added support for GPG-verification of source upstream file
  * Added .pc and backup files to .gitignore
  * Updated lintian-overrides for manpages
  * Refreshed patches using gbp pq export from patch-queue/debian branch
    - Removed the fix-lintian-manpage-remove-bad-newline patch
    - Fixed misuse of hyphen in udp6.1 as reported by lintian
    - Fixed an undefined behavior in scan6 caught by GCC

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sat, 27 Jun 2015 14:03:26 -0700

ipv6toolkit (2.0~beta-1) experimental; urgency=medium

  * New upstream release.
  * Notice: Will now use gbp pq for patch series.
  * Updated Standards-Version to 3.9.6; no changes required.
  * Depend on ieee-data instead of shipping oui.txt. Closes: #739202.
  * Reverted debian/watch back to using the official website.
  * Allow beyond-numeric tarballs (like betas) in debian/watch.
  * Overridden manpage-has-errors-from-man in path6.1 because of long URL.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Wed, 29 Oct 2014 22:09:44 -0700

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
 Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
 Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
 Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian
 
 Package: ipv6toolkit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
 Description: Security assessment and troubleshooting tool for the IPv6 protocols
  The SI6 Networks' IPv6 toolkit is a set of IPv6 security and
  trouble-shooting tools, that can send arbitrary IPv6-based

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,pgpsigurlmangle=s/$/.sig/ \
  http://www.si6networks.com/tools/ipv6toolkit/ipv6-?toolkit-v(.+)\.tar\.gz

## ipv6toolkit 2.0+ds.1

=== debian/changelog ===
ipv6toolkit (2.0+ds.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:08:20 +1100

ipv6toolkit (2.0+ds.1-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:26 +0100

ipv6toolkit (2.0+ds.1-2) unstable; urgency=low

  * Added the following patch:
    - Set pcap timeout to 1 for all platforms. Closes: #1016129.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sun, 07 Aug 2022 14:19:17 -0500

ipv6toolkit (2.0+ds.1-1) unstable; urgency=medium

  * Refreshed patches using gbp pq export. Added:
    - Fixed GCC-10 compilation. Closes: #957370.
    - Silenced compilation warnings that are already fixed upstream.
    - Fixed stringop-truncation warning.
  * Bumped compat level to 12.
  * Bumped Standards-Version to 4.5.0.
    - Changed Priority to optional.
  * Disabled debian/watch.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Tue, 04 Aug 2020 23:21:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ipv6toolkit
 Section: net
-Priority: extra
-Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
-Build-Depends: debhelper (>= 8.0.0), libpcap-dev
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
+Build-Depends: debhelper (>= 12.0.0), libpcap-dev
+Standards-Version: 4.5.0
 Homepage: http://www.si6networks.com/tools/ipv6toolkit/
 Vcs-Browser: https://github.com/alvarezp/ipv6toolkit/tree/debian
 Vcs-Git: https://github.com/alvarezp/ipv6toolkit.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,6 @@
 %:
 	dh $@ 
 
-# The --exclude=LICENSE.TXT is needed to stop lintian from throwing
-# a warning about duplicate license files.
-override_dh_installdocs:
-	dh_installdocs --exclude=LICENSE.TXT
-
-	
+override_dh_auto_build:
+	mkdir -p data
+	dh_auto_build

=== debian/watch ===
# Upstream removed the way to find new releases. This has already been
# reported but for now it does not make sense to add a watch file.

## ipv6toolkit 2.1+git20220930

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 
 CC?=gcc
-CFLAGS+= -Wall
+CFLAGS+= -Wall -Wno-address-of-packed-member -Wno-missing-braces
 LDFLAGS+= -lpcap -lm
 
 .ifndef(PREFIX)
@@ -41,7 +41,7 @@
 SRCPATH= tools
 
 
-SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
+SBINTOOLS= blackhole6 flow6 frag6 icmp6 jumbo6 messi mldq6 na6 ni6 ns6 path6 ra6 rd6 rs6 scan6 script6 tcp6 udp6
 BINTOOLS= addr6
 TOOLS= $(BINTOOLS) $(SBINTOOLS)
 LIBS= libipv6.o
@@ -66,6 +66,12 @@
 jumbo6: $(SRCPATH)/jumbo6.c $(SRCPATH)/jumbo6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o jumbo6 $(SRCPATH)/jumbo6.c $(LIBS) $(LDFLAGS)
 
+messi: $(SRCPATH)/messi
+	cp $(SRCPATH)/messi ./
+	
+mldq6: $(SRCPATH)/mldq6.c $(SRCPATH)/mldq6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o mldq6 $(SRCPATH)/mldq6.c $(LIBS) $(LDFLAGS)
+
 na6: $(SRCPATH)/na6.c $(SRCPATH)/na6.h $(SRCPATH)/ipv6toolkit.h $(LIBS) $(SRCPATH)/libipv6.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o na6 $(SRCPATH)/na6.c $(LIBS) $(LDFLAGS)
 
@@ -105,9 +111,25 @@
 data/ipv6toolkit.conf:
 	echo "# SI6 Networks' IPv6 Toolkit Configuration File" > \
            data/ipv6toolkit.conf
+	echo WWW-client=curl >> \
+           data/ipv6toolkit.conf 
 	echo OUI-Database=$(PREFIX)/share/ipv6toolkit/oui.txt >> \
            data/ipv6toolkit.conf 
 	echo Ports-Database=$(PREFIX)/share/ipv6toolkit/service-names-port-numbers.csv >> \
+           data/ipv6toolkit.conf 
+	echo Top-Ports-Database=$(PREFIX)/share/ipv6toolkit/top-port-numbers.csv >> \
+           data/ipv6toolkit.conf 
+	echo Country-Database=$(PREFIX)/share/ipv6toolkit/country-data.csv >> \
+           data/ipv6toolkit.conf
+	echo DNS-TLD-Database=$(PREFIX)/share/ipv6toolkit/dns-tld-database.csv >> \
+           data/ipv6toolkit.conf
+	echo DNS-Suffix-Database=$(PREFIX)/share/ipv6toolkit/public_suffix_list.dat >> \
+           data/ipv6toolkit.conf
+	echo RIR-Database=$(PREFIX)/share/ipv6toolkit/rir-database.csv >> \
+           data/ipv6toolkit.conf 
+	echo DNS-UKGOV-Database=$(PREFIX)/share/ipv6toolkit/dns-gov-uk-domains.csv >> \
+           data/ipv6toolkit.conf 
+	echo DNS-Dictionary=$(PREFIX)/share/ipv6toolkit/dns-dictionary.txt >> \
            data/ipv6toolkit.conf 
 
 clean: 
@@ -131,6 +153,27 @@
 
 	# Install the port numbers database
 	install -m0644 data/service-names-port-numbers.csv $(DATAPATH)
+
+	# Install the top port numbers database
+	install -m0644 data/top-port-numbers.csv $(DATAPATH)
+
+	# Install the country information database
+	install -m0644 data/country-data.csv $(DATAPATH)
+
+	# Install the DNS TLD Database
+	install -m0644 data/dns-tld-database.csv $(DATAPATH)
+
+	# Install the DNS Suffixes database
+	install -m0644 data/public_suffix_list.dat $(DATAPATH)
+
+	# Install the RIR Database
+	install -m0644 data/rir-database.csv $(DATAPATH)
+
+	# Install the UK Gov Database
+	install -m0644 data/dns-gov-uk-domains.csv $(DATAPATH)
+
+	# Install the DNS Dictionary
+	install -m0644 data/dns-dictionary.txt $(DATAPATH)
 
 	# Install the manual pages
 	install -m0755 -d $(MANPATH)/man1
@@ -148,6 +191,8 @@
 	rm -f $(SBINPATH)/frag6
 	rm -f $(SBINPATH)/icmp6
 	rm -f $(SBINPATH)/jumbo6
+	rm -f $(SBINPATH)/messi
+	rm -f $(SBINPATH)/mldq6
 	rm -f $(SBINPATH)/na6
 	rm -f $(SBINPATH)/ni6
 	rm -f $(SBINPATH)/ns6
@@ -163,7 +208,8 @@
 	# Remove the configuration file
 	rm -f $(ETCPATH)/ipv6toolkit.conf
 
-	# Remove the IEEE OUI database
+	# Remove the IEEE OUI database, service names database, top port numbers database, and
+	# other databases
 	rm -rf $(DATAPATH)
 
 	# Remove the manual pages
@@ -173,6 +219,7 @@
 	rm -f $(MANPATH)/man1/frag6.1
 	rm -f $(MANPATH)/man1/icmp6.1
 	rm -f $(MANPATH)/man1/jumbo6.1
+	rm -f $(MANPATH)/man1/mldq6.1
 	rm -f $(MANPATH)/man1/na6.1
 	rm -f $(MANPATH)/man1/ni6.1
 	rm -f $(MANPATH)/man1/ns6.1

=== debian/changelog ===
ipv6toolkit (2.1+git20220930-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:50:44 +0200

ipv6toolkit (2.1+git20220930-0kali2) kali-dev; urgency=medium

  * Add Breaks / Replaces and Provides for the transition itpv6-toolkit to
    ipv6-toolkit

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Dec 2022 15:01:32 +0100

ipv6toolkit (2.1+git20220930-0kali1) kali-dev; urgency=medium

  * Change name of package (see https://bugs.kali.org/view.php?id=8071)
  * New upstream version 2.1+git20220930
  * Refresh patches
  * Update Maintainers list
  * Update debian/copyright
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 01 Dec 2022 16:34:25 +0100

ipv6-toolkit (2.1+git20210331-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2.1+git20210331
  * Update upstream homepage
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1 (change priority to optional)
  * Change perl shebang
  * Build with bindnow
  * Use package ieee-data instead of upstream ieee-data file

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 11:00:55 +0200

ipv6-toolkit (2.0beta-1kali1) kali; urgency=low

  * Upstream Update

 -- Jim O'Gorman <elwood@kali.org>  Tue, 06 Jan 2015 20:28:28 -0500

ipv6-toolkit (1.5.3-1kali1) kali; urgency=low

  * Upstream import

 -- Mati Aharoni <muts@kali.org>  Fri, 23 May 2014 06:15:08 -0400

ipv6-toolkit (1.4.1-1kali2) kali; urgency=low

  * Clean up Debian packaging to rely on the upstream Makefile.
  * Upgrade debhelper to compat 9 level and misc debian/control
    improvements.
  * New patch fix-makefile.patch that fixes make install to create $(ETCPATH)
    before copying files into it. 
  * Add watch file.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 04 Oct 2013 09:50:48 +0200

ipv6-toolkit (1.4.1-1kali1) kali; urgency=low

  * Added dh_shlibdeps override to rules

 -- Devon Kearns <dookie@kali.org>  Thu, 03 Oct 2013 09:52:02 -0600

ipv6-toolkit (1.4.1-1kali0) kali; urgency=low

  * Initial release (Closes: 0000324)  

 -- Devon Kearns <dookie@kali.org>  Thu, 03 Oct 2013 09:14:04 -0600

=== debian/control ===
Source: ipv6toolkit
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.1
Homepage: https://www.si6networks.com/tools/ipv6toolkit/

Package: ipv6toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
Breaks: ipv6-toolkit (<< 2.1+git20220930)
Replaces: ipv6-toolkit (<< 2.1+git20220930)
Provides: ipv6-toolkit
Description: IPv6 assessment and troubleshooting tools
 Included tools:
  - addr6: An IPv6 address analysis and manipulation tool.
  - flow6: A tool to perform a security asseessment of the IPv6 Flow Label.
  - frag6: A tool to perform IPv6 fragmentation-based attacks and to perform a
    security assessment of a number of fragmentation-related aspects.
  - icmp6: A tool to perform attacks based on ICMPv6 error messages.
  - jumbo6: A tool to assess potential flaws in the handling of IPv6 Jumbograms.
  - na6: A tool to send arbitrary Neighbor Advertisement messages.
  - ni6: A tool to send arbitrary ICMPv6 Node Information messages, and assess
    possible flaws in the processing of such packets.
  - ns6: A tool to send arbitrary Neighbor Solicitation messages.
  - ra6: A tool to send arbitrary Router Advertisement messages.
  - rd6: A tool to send arbitrary ICMPv6 Redirect messages.
  - rs6: A tool to send arbitrary Router Solicitation messages.
  - scan6: An IPv6 address scanning tool.
  - tcp6: A tool to send arbitrary TCP segments and perform a variety of TCP-
    based attacks.

=== debian/watch ===
version=4
opts="mode=git, pretty=2.1+git%cd, pgpmode=none" \
  https://github.com/fgont/ipv6toolkit.git \
  HEAD debian uupdate

## ipv6toolkit 2.2

=== debian/changelog ===
ipv6toolkit (2.2-0kali1) kali-dev; urgency=medium

  * Update VCS URLs: ipv6-toolkit -> ipv6toolkit
  * Update libpcap-dev build-dep
  * Update watch file
  * New upstream version 2.2
  * Refresh patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Dec 2025 18:00:25 +0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: ipv6toolkit
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 13), libpcap-dev
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libpcap0.8-dev,
 Standards-Version: 4.6.1
 Homepage: https://www.si6networks.com/tools/ipv6toolkit/
+Vcs-Git: https://gitlab.com/kalilinux/packages/ipv6toolkit.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/ipv6toolkit
 
 Package: ipv6toolkit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ieee-data
-Breaks: ipv6-toolkit (<< 2.1+git20220930)
-Replaces: ipv6-toolkit (<< 2.1+git20220930)
-Provides: ipv6-toolkit
+Depends:
+ ieee-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ipv6-toolkit (<< 2.1+git20220930),
+Replaces:
+ ipv6-toolkit (<< 2.1+git20220930),
+Provides:
+ ipv6-toolkit,
 Description: IPv6 assessment and troubleshooting tools
  Included tools:
   - addr6: An IPv6 address analysis and manipulation tool.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: fgont
Project: ipv6toolkit
